# ArmaRAMDb: docs/core Directory Reference

Loading...
Searching...
No Matches
core Directory Reference

## Detailed Description

This section contains documentation for the core functions of ArmaRAMDb that handle initialization, process management, and scheduling.

# Available Functions

- addTask - Add a task to the scheduler
- handler - Handle callbacks from the extension
- init - Initialize the database system
- printAddonName - Print the addon name
- processQueue - Process queued database operations
- scheduler - Schedule database operations
- test - Test the database connection

# Example Usage

// Initialize the database
[] call ramdb_db_fnc_init;
// Test the database connection
[] call ramdb_db_fnc_test;

# Related Categories

- Basic Data Operations
- Hash Operations
- List Operations